| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmoledit.cpp File Reference

A tool to edit coordinate files. More...

`#include "rwmolecule.h"`
`#include "mol_symmetry.h"`
`#include "mol_transform.h"`
`#include "mol_edit.h"`
`#include "mol_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
long | molgroup_trim (Bmolgroup *molgroup, Vector3< double > box)
| Deletes atoms outside the box. More...
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A tool to edit coordinate files.

Author
  Bernard Heymann

Date
  Created: 19980214
  Modified: 20190329

Definition in file bmoledit.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 60 of file bmoledit.cpp.

## ◆ molgroup_trim()

long molgroup_trim | ( | Bmolgroup * | molgroup,
|  | Vector3< double > | box
| ) |  |

Deletes atoms outside the box.

Parameters

  *molgroup | molecule group structure to be modified.
  box | box size.

Returns
  long number of remaining atoms.

Definition at line 244 of file bmoledit.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 24 of file bmoledit.cpp.

## ◆ verbose

int verbose